List users
curl --request GET \
--url https://dev-public-api.openphone.dev/users \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"id": "US123abc",
"email": "johndoe@example.com",
"firstName": "John",
"lastName": "Doe",
"pictureUrl": "https://example.com/picture.jpg",
"role": "owner",
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/userId",
"message": "Expected string to match '^US(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^US(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Users
List users
Retrieve a paginated list of users in your Quo workspace.
GET
/
users
List users
curl --request GET \
--url https://dev-public-api.openphone.dev/users \
--header 'Authorization: <api-key>' \
--header 'Quo-Api-Version: <quo-api-version>'{
"data": [
{
"id": "US123abc",
"email": "johndoe@example.com",
"firstName": "John",
"lastName": "Doe",
"pictureUrl": "https://example.com/picture.jpg",
"role": "owner",
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2022-01-01T00:00:00Z"
}
],
"nextCursor": "eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
}{
"message": "The input was invalid",
"docs": "https://quo.com/docs",
"title": "Bad Request",
"errors": [
{
"path": "/userId",
"message": "Expected string to match '^US(.*)$'",
"value": "abc123",
"schema": {
"type": "TemplateLiteral",
"pattern": "^US(.*)$"
}
}
]
}{
"message": "Unauthorized",
"docs": "https://quo.com/docs",
"title": "Unauthorized",
"trace": "6897907457496870895"
}{
"message": "User is forbidden to perform this action",
"docs": "https://quo.com/docs",
"title": "Forbidden",
"trace": "6897907457496870895"
}{
"message": "We have encountered an unknown error",
"docs": "https://quo.com/docs",
"title": "Unknown",
"trace": "6897907457496870895"
}Authorizations
Headers
API version header. Supported values: 2026-03-30
Available options:
2026-03-30 Query Parameters
Max number of items to return per page.
Required range:
1 <= x <= 50Example:
"eyJsYXN0SWQiOiJVU211a09NaXBhIn0"
Was this page helpful?